org.apache.pdfbox.pdmodel.font

## Class FontMappers

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.FontMappers

    public final class FontMappers
    extends Object

FontMapper factory class.

Author:
  John Hewson

### Method Summary

All Methods Static Methods Concrete Methods
`static FontMapper` `instance()` Returns the singleton FontMapper instance.
`static void` `set(FontMapper fontMapper)` Sets the singleton FontMapper instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static FontMapper instance()

Returns the singleton FontMapper instance.

Returns:
  a singleton FontMapper instance

#### set

    public static void set(FontMapper fontMapper)

Sets the singleton FontMapper instance.

Parameters:
  `fontMapper` - the singleton FontMapper instance to be stored